Debian Bug report logs - #690873
arm64/aarch64 support for eglibc 2.16

version graph

Package: eglibc; Maintainer for eglibc is GNU Libc Maintainers <debian-glibc@lists.debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 18 Oct 2012 18:42:02 UTC

Severity: normal

Found in version 2.16

Fixed in version eglibc/2.16-0experimental0

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#690873; Package eglibc. (Thu, 18 Oct 2012 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 18 Oct 2012 18:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: submit@bugs.debian.org
Subject: arm64/aarch64 support for eglibc 2.16
Date: Thu, 18 Oct 2012 19:34:42 +0100
[Message part 1 (text/plain, inline)]
Package: eglibc
Version: 2.16
user: debian-arm@lists.debian.org
Usertag: arm64 

Here is a patch adding arm64 packaging and aarch64 library support to
eglibc 2.16.

The patch is aginst revision 21144 of this repo
svn://svn.debian.org/pkg-glibc/glibc-package/branches/eglibc-2.16/debian
as 2.16 has not yet been uploaded to Debian

It uses this upstream glibc support:
http://sourceware-org.1504.n7.nabble.com/PATCH-1-2-AArch64-glibc-port-tc5950.html

It won't build (for arm64) without a recent gcc 4.7 with pr33763
fixed. gcc4.7-4.7.2-3 or later from unstable is good, or the version
in my bootstrap repo:
http://people.debian.org/~wookey/bootstrap.html

That repo contains matching and built versions of suitable
linux-source, binutils, eglibc, gcc and arm64-cross-toolchain-base
packages.

Getting eglibc2.16 with this patch into experimental would give us
somewhere to hang further refinements. 

And thanks to Aurel for his help getting this build for me. 

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[eglibc2.16-8.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Adam Conrad <adconrad@alioth.debian.org> to control@bugs.debian.org. (Fri, 26 Oct 2012 16:21:03 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 20 Nov 2012 10:06:15 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Tue, 20 Nov 2012 10:06:15 GMT) Full text and rfc822 format available.

Message #12 received at 690873-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 690873-close@bugs.debian.org
Subject: Bug#690873: fixed in eglibc 2.16-0experimental0
Date: Tue, 20 Nov 2012 10:03:39 +0000
Source: eglibc
Source-Version: 2.16-0experimental0

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690873@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 20 Nov 2012 08:48:56 +0100
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc6-armhf libc6-dev-armhf libc6-armel libc6-dev-armel libc0.1-i386 libc0.1-dev-i386 libc6-x32 libc6-dev-x32 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.16-0experimental0
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-armel - Embedded GNU C Library: ARM softfp shared libraries for armhf
 libc6-armhf - Embedded GNU C Library: ARM hard float shared libraries for armel
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-armel - Embedded GNU C Library: ARM softfp development libraries for armh
 libc6-dev-armhf - Embedded GNU C Library: ARM hard float development libraries for
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-dev-x32 - Embedded GNU C Library: X32 ABI Development Libraries for AMD64
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-x32  - Embedded GNU C Library: X32 ABI Shared libraries for AMD64
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 208308 625522 654744 667023 672934 690873
Changes: 
 eglibc (2.16-0experimental0) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream version.  Closes: #672934.
     - Provide a compatibility symbol for the old memcpy() behaviour.  Remove
       the memcpy-wrapper.  Closes: #625522.
     - Fix printing of incomplete multibyte characters.  Closes: #208308.
     - Disable patches/svn-updates.diff.
     - Update patches/localedata/sort-UTF8-first.diff.
     - Update patches/localedata/supported.diff.
     - Update patches/localedata/locales-fr.diff (partially merged upstream).
     - Remove patches/localedata/locales_GB.diff (merged upstream).
     - Remove patches/localedata/submitted-bz9732-dz_BT-collation.diff (merged
       upstream).
     - Update patches/localedata/locale-se_NO.diff.
     - Update patches/localedata/tailor-iso14651_t1-common.diff.
     - Update patches/localedata/fix-lang.diff.
     - Remove patches/localedata/fr_LU-first_weekday.diff (merged upstream).
     - Remove patches/localedata/cy_GB-first_weekday.diff (merged upstream).
     - Update patches/localedata/submitted-bz9725-locale-sv_SE.diff (partially
       merged upstream).
     - Update patches/localedata/first_weekday.diff (partially merged
       upstream).
     - Remove patches/localedata/submitted-bz9912-locale-ru_UA.diff (merged
       upstream).
     - Remove patches/localedata/locale-et_EE.diff (merged upstream).
     - Remove patches/localedata/submitted-translit-colon.diff (merged upstream).
     - Remove patches/localedata/locale-bem-en_ZA.diff (merged upstream).
     - Remove patches/localedata/locale-ff_SN.diff (merged upstream).
     - Remove patches/localedata/locale-sw.diff (merged upstream).
     - Remove patches/localedata/locale-sv_FI.diff (merged upstream).
     - Remove patches/localedata/locale-os_RU.diff (merged upstream).
     - Remove patches/localedata/cvs-rupee.diff (merged upstream).
     - Remove patches/localedata/cvs-es-lc_numeric.diff (merged upstream).
     - Remove patches/localedata/submitted-de_AT-mon.diff (merged upstream).
     - Remove patches/localedata/cvs-rupeesign.diff (merged upstream).
     - Remove patches/alpha/cvs-fp_control-plt.diff (merged upstream).
     - Remove patches/alpha/cvs-have_tls_thread.diff (merged upstream).
     - Remove patches/alpha/cvs-preconfigure.diff (merged upstream).
     - Remove patches/alpha/cvs-stat_ver_linux.diff (merged upstream).
     - Remove patches/alpha/cvs-syscall.diff (merged upstream).
     - Remove patches/alpha/cvs-tls_dtv_unallocated.diff (merged upstrea).
     - Remove obsolete parts of alpha/local-string-functions.diff (merged
       upstream).
     - Remove patches/alpha/submitted-creat64.diff (obsolete).
     - Remove patches/alpha/submitted-fcntl_h.diff (merged upstream).
     - Remove patches/alpha/submitted-fxstatat.patch (obsolete).
     - Remove patches/alpha/submitted-libm-hidden.diff (merged upstream).
     - Remove patches/alpha/submitted-____longjmp_chk.diff (merged upstream).
     - Remove patches/alpha/submitted-epoll_create1.diff (obsolete).
     - Remove patches/alpha/submitted-fallocated.patch (merged upstream).
     - Remove patches/alpha/submitted-fpu-ulps.diff (merged upstream).
     - Remove patches/alpha/submitted-rlimit-rttime.diff (merged upstream).
     - Remove patches/alpha/submitted-sysconf-cache.diff (merged upstream).
     - Remove patches/alpha/cvs-stackinfo.diff (merged upstream).
     - Remove patches/alpha/submitted-statfs64.patch (merged upstream).
     - Remove patches/amd64/local-clone.diff (obsolete).
     - Remove patches/amd64/submitted-tst-audit6-avx.diff (obsolete).
     - Update patches/amd64/submitted-rwlock-stack-imbalance.diff.
     - Remove patches/amd64/cvs-getcontext.diff (merged upstream).
     - Remove patches/amd64/cvs-memset.diff (merged upstream).
     - Remove patches/amd64/cvs-powl.diff (merged upstream).
     - Remove patches/amd64/cvs-pthread-stack-alignment.diff (merged upstream).
     - Remove patches/amd64/cvs-avx-detection.diff (merged upstream).
     - Remove patches/amd64/cvs-dl_trampoline-cfi.diff (merged upstream).
     - Remove patches/amd64/cvs-avx-osxsave.diff (merged upstream).
     - Update patches/arm/local-sigaction.diff.
     - Remove patches/arm/submitted-armhf-triplet.diff (merged upstream).
     - Remove patches/arm/cvs-clone-cantunwind.diff (merged upstream).
     - Remove patches/arm/cvs-syscall-mcount.diff (merged upstream).
     - Remove patches/arm/cvs-ucontext.diff (merged upstream).
     - Remove patches/arm/cvs-make-get-set-swap-context.diff (merged upstream).
     - Remove patches/hppa/local-linuxthreads.diff (obsolete).
     - Remove patches/hppa/local-linuxthreads-gscope.diff (obsolete).
     - Remove patches/hppa/submitted-lt.diff (obsolete).
     - Update patches/hppa/local-stack-grows-up.diff.
     - Remove patches/hppa/local-dlfptr.diff (merged upstream).
     - Remove patches/hppa/submitted-fcntl_h.diff (merged upstream).
     - Remove patches/hppa/submitted-libm-hidden.diff (merged upstream).
     - Remove patches/hppa/submitted-stackinfo.diff (merged upstream).
     - Remove patches/hppa/cvs-sys_procfs_h.diff (merged upstream).
     - Remove patches/hppa/cvs-test-tls-support.diff (merged upstream).
     - Remove patches/hppa/cvs-cloexec-nonblock.diff (merged upstream).
     - Remove patches/hppa/cvs-prlimit64.diff (merged upstream).
     - Update patches/hurd-i386/local-enable-ldconfig.diff.
     - Remove patches/hurd-i386/cvs-mlock.diff (merged upstream).
     - Update patches/hurd-i386/unsubmitted-tls.diff.
     - Update patches/hurd-i386/tg-tls.diff.
     - Update patches/hurd-i386/unsubmitted-gcc-4.1-init-first.diff.
     - Remove patches/hurd-i386/cvs-posix_opt.h.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-ioctl-decode-argument.diff (merged
       upstream).
     - Remove patches/hurd-i386/tg-libc_once.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-struct_stat.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-strtoul_PLT.diff (merged upstream).
     - Update patches/hurd-i386/tg-sysvshm.diff.
     - Remove patches/hurd-i386/cvs-IPV6_PKTINFO.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-critical-sections.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-dup3.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-dup3-lock.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-dl-sysdep.c_SHARED.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-itimer-lock.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-null-pathname.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sbrk.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-readlinkat.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-SOL_IP.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-____longjmp_chk.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-mkdir_root.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-catch-signal.diff (merged upstream)
     - Remove patches/hurd-i386/cvs-header-prot.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-psiginfo.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-if_freereq.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-ldsodefs.h.diff (merged upstream).
     - Remove patches/hurd-i386/submitted-init-first.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-libc_stack_end.diff (merged upstream).
     - Remove patches/hurd-i386/tg-ttyname_ERANGE.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-DEV_BSIZE.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-fork_ports.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-setresid.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sgttyb.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-hurd_socket_server_indexcheck.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-hurd-recvfrom.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-select-inputcheck.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-posix2008.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-mach-nanosleep.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-mmap.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-hurd-socket-EAFNOSUPPORT.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-symlink_dealloc.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-O_CLOEXEC.diff (merged upstream).
     - Update patches/hurd-i386/submitted-exec_filename.diff.
     - Update patches/hurd-i386/submitted-net.diff.
     - Update patches/hurd-i386/unsubmitted-pthread.diff.
     - Update patches/ia64/local-dlfptr.diff (ia64 moved to ports).
     - Update patches/ia64/submitted-libm.diff (ia64 moved to ports).
     - Remove patches/ia64/submitted-sysconf.diff (merged upstream).
     - Update patches/ia64/submitted-fpu-ulps.diff (merged upstream).
     - Update patches/ia64/submitted-remainder.diff (merged upstream).
     - Remove patches/i386/local-clone.diff (obsolete).
     - Remove patches/i386/cvs-cacheinfo.diff (merged upstream).
     - Update patches/i386/submitted-i686-timing.diff.
     - Remove patches/i386/cvs-feraiseexcept-plt.diff (merged upstream).
     - Update patches/i386/local-pthread_cond_wait.diff.
     - Update patches/kfreebsd/local-scripts.diff.
     - Remove patches/m68k/cvs-byteswap.diff (merged uptream).
     - Remove patches/m68k/local-compat.diff (obsolete).
     - Update patches/m68k/submitted-gcc34-seccomment.diff.
     - Update patches/mips/local-r10k.diff.
     - Remove patches/mips/submitted-dl-platform.diff (merged upstream).
     - Remove patches/mips/cvs-dlopen-lazy.diff (merged upstream).
     - Remove patches/powerpc/local-libgcc_eh-ld.so.diff (obsolete).
     - Remove patches/s390/cvs-iconv-z9-109.diff (merged upstream).
     - Remove patches/s390/cvs-vsyscalls.diff (merged upstream).
     - Remove patches/s390/s390/cvs-libm-ulps.diff (merged upstream).
     - Remove patches/sparc/submitted-bzero.diff (merged upstream).
     - Remove patches/sparc/cvs-ifunc.diff (merged upstream).
     - Remove patches/sparc/cvs-rlimits.diff (merged upstream).
     - Update patches/sparc/local-fork.diff.
     - Remove patches/sparc/cvs-fcntl_h.diff (merged upstream).
     - Update patches/any/local-fhs-nscd.diff.
     - Update patches/any/local-ldconfig.diff.
     - Update patches/any/local-libgcc-compat-ports.diff.
     - Update patches/any/local-linuxthreads-defines.diff.
     - Remove patches/any/cvs-sched_h.diff (merged upstream).
     - Update patches/any/submitted-popen.diff.
     - Remove patches/any/submitted-autotools.diff (merged upstream).
     - Remove patches/any/submitted-localedef-mmap.diff (obsolete).
     - Remove patches/any/submitted-leading-zero-stack-guard.diff (merged
       upstream).
     - Remove patches/any/local-relro-mprotect.diff (merged upstream).
     - Remove patches/any/cvs-fopen.diff (merged upstream).
     - Remove patches/any/cvs-resolv-tld.diff (merged upstream).
     - Remove patches/any/cvs-sys-param-ARG_MAX.diff (merged upstream).
     - Remove patches/any/submitted-at-pagesize.diff (obsolete).
     - Remove patches/any/cvs-setlocale.diff (merged upstream).
     - Remove parts of patches/any/submitted-rlimit-rttime.diff and rename
       it to patches/alpha/any/submitted-rlimit-rttime.diff.
     - Remove patches/any/cvs-regex-oom.diff (merged upstream).
     - Remove patches/any/cvs-getaddrinfo-single-lookup.diff (merged upstream).
     - Remove patches/any/cvs-unique_sym_table-corruptions.diff (merged
       upstream).
     - Remove patches/any/submitted-mqueue-throw.diff (merged upstream).
     - Remove patches/any/cvs-addmntent.diff (merge upstream).
     - Remove patches/any/cvs-resolv-different-nameserver.diff (merged upstream).
     - Remove patches/any/cvs-fnmatch.diff (merged upstream).
     - Remove patches/any/cvs-ifunc.diff (merged upstream).
     - Remove patches/powerpc/submitted-ifunc.diff (merged upstream).
     - Remove patches/any/cvs-dlopen-tls.diff (merged upstream).
     - Remove patches/any/submitted-glob_h-ifdef.diff (obsolete).
     - Remove patches/any/cvs-dl_close-scope-handling.diff (merged upstream).
     - Remove patches/any/cvs-nptl-pthread-race.diff (merged upstream).
     - Remove patches/any/cvs-vfscanf.diff (merged upstream).
     - Remove patches/any/cvs-tzfile.diff (merged upstream).
     - Rename patches/any/submitted-clock-settime.diff into
       patches/any/cvs-clock-settime.diff.
     - Update patches/any/local-no-pagesize.diff.
     - Update patches/any/local-rtld.diff.
     - Update patches/any/local-disable-test-tgmath2.diff.
     - Remove patches/any/cvs-clock-settime.diff.
     - Update patches/any/submitted-longdouble.diff.
     - Update patches/any/submitted-bits-fcntl_h-at.diff.
     - Remove patches/any/submitted-fwrite-wur.diff (merged upstream).
     - Remove patches/any/submitted-stack-guard-quick-randomization.diff
       (obsolete).
     - Remove patches/any/cvs-fmtmsg-lock.diff (merged upstream).
     - Remove patches/any/cvs-reloc-sort.diff (merged upstream).
     - Remove patches/any/cvs-pthread-builtin-expect.diff (merged upstream).
     - Remove patches/any/cvs-vfprintf-positional.diff (merged upstream).
     - Remove patches/any/cvs-vfprintf-many-format-strings.diff (merged
       upstream).
     - Remove patches/any/cvs-arch-lowlevellock.diff (merged upstream).
     - Remove patches/any/cvs-strtod-overflow.diff (merged upstream).
   * Add patches/any/local-revert-fclose-posix2008.diff to fix issues with
     Ruby.
   * Add patches/amd64/local-pthread_cond_wait.diff from Jeff Law to fix
     lost wakeups in pthread_cond_wait.
   * Add patches/i386/cvs-feraiseexcept-plt.diff to fix plt issues.
   * Add patches/ia64/submitted-fpu-ulps.diff to fix FPU tests.
   * Add patches/ia64/submitted-remainder.diff to fix FPU tests.
   * Add patches/powerpc/local-math-logb.diff to workaround a GCC issue.
   * Add patches/alpha/cvs-tls_dtv_unallocated.diff,
     patches/alpha/cvs-have_tls_thread.diff,
     patches/alpha cvs-preconfigure.diff and
     patches/alpha/cvs-stat_ver_linux.diff to fix FTBFS on alpha.
   * Add patches/alpha/cvs-fp_control-plt.diff to fix testsuite on alpha.
   * Add patches/alpha/local-string-functions.diff to remove some broken
     alpha specific string version, and pass the testsuite.
   * Update debian/sysdeps/mips.mk, debian/sysdeps/mipsel.mk to force
     build without MIPS PLT.
   * Build with GCC 4.6.  Closes: bug#654744.
   * Remove rpcinfo from debian/control.in/main, debhelper.in/libc-bin.install
     and debhelper.in/libc-bin.manpages.
   * Update debian/libc6.symbols.common to add libnss_db symbols.
   * Update debian/symbols.wildcards with 2.14, 2.15 and 2.16 symbols.
   * Update debian/shlibver to 2.16.
   * Update debian/debhelper.in/*.lintian to new library names.
   * Update testsuite-checking/expected-results-arm-linux-gnueabi-libc,
     testsuite-checking/expected-results-arm-linux-gnueabihf-libc,
     testsuite-checking/expected-results-i486-linux-gnu-libc,
     testsuite-checking/expected-results-i686-linux-gnu-i386,
     testsuite-checking/expected-results-i686-linux-gnu-i686,
     testsuite-checking/expected-results-i686-linux-gnu-xen
     testsuite-checking/expected-results-ia64-linux-gnu-libc,
     testsuite-checking/expected-results-mips-linux-gnu-libc,
     testsuite-checking/expected-results-mips64-linux-gnu-mips64,
     testsuite-checking/expected-results-mips32-linux-gnu-mipsn32,
     testsuite-checking/expected-results-mipsel-linux-gnu-libc,
     testsuite-checking/expected-results-mips32el-linux-gnu-mipsn32,
     testsuite-checking/expected-results-mips64el-linux-gnu-mipsn64,
     testsuite-checking/expected-results-powerpc-linux-gnu-libc,
     testsuite-checking/expected-results-powerpc64-linux-gnu-ppc64,
     testsuite-checking/expected-results-sparc-linux-gnu-libc,
     testsuite-checking/expected-results-sparc64-linux-gnu-libc,
     testsuite-checking/expected-results-sparc64-linux-gnu-sparc64,
     testsuite-checking/expected-results-s390x-linux-gnu-libc,
     testsuite-checking/expected-results-s390x-linux-gnu-s390x,
     testsuite-checking/expected-results-x86_64-linux-gnu-amd64 and
     testsuite-checking/expected-results-x86_64-linux-gnu-libc to add
     new tests that are known to fail.
   * debian/control.in/main: Build-Conflicts with binutils-gold.
   * debian/rules.d/quilt.mk, debian/rules.d/tarball.mk, debian/source/format:
     switch to quilt (3.0) format, compress source with xz.
   * debian/rules, debian/rules.d/build.mk: define vardbddir to /var/lib/misc.
   * debian/rules.d/*mk: use make ifdef instead of shell ones.
   * debian/rules.d/build.mk: call configure with --enable-obsolete-rpc
   * debian/rules.d/debhelper.mk: compress locales, libc6-pic and libc6-prof
     with xz.
   * debian/sysdeps/i386.mk: install files from libc6-dev-amd64 as symlinks
     now that i386 and amd64 versions are compatible (see bug#637000 and
     bug#637141).
   * debian/sysdeps/*.mk, debhelper.in/libc.preinst: bump minimal Linux
     kernel version to 2.6.32.
   * debian/debhelper.in/{libc.docs,libc-dev.docs}: don't install FAQ, replaced
     upstream by http://sourceware.org/glibc/wiki/FAQ.
   * rules.d/debhelper.mk, debhelper.in/libc-pic.install: install libc6-pic
     files using debhelper.
   * debian/control.in/*: drop build-depends from libc6 to libc-bin. Add
     ${shlibs:Depends} depends to libc6 and libc-bin.
   * debian/control.in/*, debian/sysdeps/linux.mk: enable selinux support.
   * patches/any/local-disable-libnss-db.diff: disable libnss-db as the format
     is not compatible with the libnss-db package, and is architecture
     dependent.
   * patches/svn-updates.diff: update from upstream SVN.
 .
   [ Daniel Schepler ]
   * Add x32 support (Closes: #667023):
     - debian/control.in/main: Build-Depend on g++-4.7-multilib on amd64,
       i386, x32.
     - debian/control.in/libc: Add Replaces: libc6-x32 to libc6 on x32.
     - debian/control.in/amd64, debian/control.in/i386: Add x32 to
       Architecture list for libc6-amd64 and libc6-i386 (and corresponding
       -dev packages).
     - debian/control.in/x32: New file, add libc6-x32 and libc6-dev-x32
       packages on amd64 and i386.
     - debian/libc6.symbols.x32, debian/libc6-x32.symbols.amd64,
       debian/libc6-x32.symbols.i386: New symbols files for x32 libraries.
     - debian/libc6-amd64.symbols.x32, debian/libc6-i386.symbols.x32:
       New files, copying the appropriate existing files.
     - debian/patches/any/cvs-malloc-arena.diff: Fix for BZ#14562 which
       caused random assertions in threaded programs on x32.
     - debian/rules.d/build.mk, debian/rules.d/debhelper.mk: Add /libx32 to
       the library directories handled by alt templates instead of otherbuild.
     - debian/rules.d/control.mk: Add x32 to libc6_archs.
     - debian/sysdeps/amd64.mk, debian/sysdeps/i386.mk: Add libc6-x32 builds
       using gcc-4.7.
     - debian/sysdeps/amd64.mk, debian/sysdeps/i386.mk: Bump minimum kernel
       version to 3.4.0, since that's the first version with x32 support
       integrated into the mainline.
     - debian/sysdeps/x32.mk: New file, building libc, amd64, i386 flavors
       all using gcc-4.7.
     - debian/testsuite-checking/expected-results-x86_64-linux-gnux32-libc,
       debian/testsuite-checking/expected-results-x86_64-linux-gnux32-x32:
       New files copied from amd64 testsuite exceptions.
   * debian/debhelper.in/libc-bin.install: Add new binaries pldd and sotruss.
     - debian/debhelper.in/libc.install: Also add audit libraries needed by
       sotruss.
   * debian/patches/all/local-remove-manual.texi: Update stub manual/Makefile
     with version from eglibc 2.16 upstream.
   * debian/rules.d/quilt.mk: Update refresh target to pop all patches before
     repushing and refreshing them, since patches are applied by default now.
   * debian/rules: Expand clean target to remove several autogenerated files
     under debian/ that weren't getting removed.
 .
   [ Wookey ]
   * Add arm64 support (Closes: #690873):
     - debian/patches/all/unsubmitted-autoconfupdate.diff: Update autotools
       config.sub and config.guess to detect aarch64/arm64 correctly
     - debian/patches/arm64/submitted-aarch64-support.diff: Massive backport
       of the current state of arm64 support upstream and on libc-alpha.
     - debian/patches/arm64/submitted-bits-fcntl_h-at.diff: Include AT_*
       definitions in sysdeps/unix/sysv/linux/aarch64/bits/fcntl.h
     - debian/sysdeps/arm64.mk: Define base arm64 libc targets.
     - debian/rules.d/control.mk: Add arm64 to the list of libc_arches.
     - debian/control.in/main: Build-depend on gcc-4.7 for arm64 builds.
   * debian/rules: Clean up base/cross compiler mangling to work sanely.
   * debian/sysdeps/linux.mk: Define bootstrap BUILD_PROFILE without selinux.
 .
   [ Adam Conrad ]
   * debian/debhelper.in/{libc-bin.install,libc-dev-bin.install}: install
     sotruss binary to libc-dev-bin instead of libc-bin.
   * debian/sysdeps/{i386,amd64,x32}.mk: Don't set MIN_KERNEL_SUPPORTED
     explicitly, as this will cause serious upgrade headaches, and there's
     no guarantee that a 3.4.0 kernel actually has x32 support built in.
   * debian/control.in/main: Bump the linux-libc-dev build-dep to (>= 3.4)
     on all linux-any architectures, not just amd64, i386, and x32.
   * debian/debhelper.in/libc-bin.manpages: Add a pldd(1) manpage.
   * Drop patches/any/cvs-malloc-arena.diff, included in our new upstream.
   * debian/sysdeps/{i386,amd64}.mk: Comment out x32 multilib builds until
     we've reached a consensus about bootstrapping this into the archive.
   * Version gcc-4.7 build-deps to get a version that works for eglibc.
   * debian/sysdeps/*: clean up use of CC and CXX to match wookey's fixes.
   * debian/control.in/libc: Update nscd/locales breaks to (<< 2.16)
   * debian/rules: Unset CFLAGS and friends and use the package versions.
   * Move ldconfig to ldconfig.real, install ldconfig wrapper, and set up
     a dpkg trigger for libc-bin to avoid excessive calls to ldconfig
   * Don't build nscd during when doing a bootstrap DEB_BUILD_PROFILE
   * Make our DEB_BUILD_PROFILE=bootstrap support look more like Ubuntu's
     previously known-working DEB_STAGE=stage1 support for the time being.
   * debian/rules.d/build.mk: If WITH_SYSROOT is passed to debian/rules,
     then pass --with-headers=$(WITH_SYSROOT)/$(includedir) to the build.
   * Sync support for armel/armhf biarch packages, but keep it disabled.
   * Adjust libc.posinst and libc.preinst service restart code for 2.16.
   * Merge regression/progression test suite improvements from Ubuntu.
   * Provide backward compatibility for DEB_STAGE->DEB_BUILD_PROFILE.
   * patches/arm/local-vfp-sysdeps.diff: Force the Tag_ABI_HardFP_use
     and Tag_ABI_VFP_args EABI tags when building for armhf, so compilers
     only linking crti.o will generate what appear to be armhf binaries.
   * debian/patches/arm/cvs-ldconfig-cache-abi.diff: Backport upstream
     patch to re-enable ldconfig cache tagging for armhf binaries again.
   * debian/patches/arm64/cvs-ldconfig-cache-abi.diff: Same for aarch64.
   * debian/patches/arm/unsubmitted-ldconfig-cache-abi.diff: Re-enable
     and adjust to account for changes in cvs-ldconfig-cache-abi.diff.
   * debian/debhelper.in/libc.preinst: Remove old ld.so.cache on upgrade.
 .
   [ Matthias Klose ]
   * Add patches/any/local-revert-bz13979.diff: revert a commit that made
     attempts to build with FORTIFIED_SOURCE issue warnings if GCC didn't
     have optimisations turned on.  This breaks some unclever AC macros.
   * Fix building x32 multilib libraries, by correctly passing -mx32.
   * Fix some ln calls in sysdeps/{amd64,i386} for binary-arch idempotence.
 .
   [ Pino Toscano ]
   * Update patches/hurd-i386/submitted-AF_LINK.diff.
   * Add patches/hurd-i386/tg-verify.h.diff,
     patches/hurd-i386/tg-pagesize.diff,
     patches/hurd-i386/tg-fcntl-internal.h.diff,
     patches/hurd-i386/local-disable-sendmmsg.diff,
     patches/hurd-i386/cvs-add-missing-includes.diff,
     and patches/hurd-i386/submitted-libpthread-elf.diff to fix build on Hurd.
   * Drop obsolete patches patches/hurd-i386/tg-__i686_defined.diff and
     patches/hurd-i386/unsubmitted-gcc-4.1-init-first.diff
   * Add patches/hurd-i386/cvs-mach-check-local-headers.sh.diff to
     reduce false header errors from the check-local-headers.out test.
   * Add patches/hurd-i386/cvs-llistxattr.diff,
     patches/hurd-i386/cvs-renameat.diff and
     patches/hurd-i386/cvs-lremovexattr.diff to implement llistxattr,
     lremovexattr and renameat.
     Add patches/hurd-i386/cvs-mknodat.diff to fix tst-mknodat.
   * Update testsuite-checking/expected-results-i686-gnu-i386,
     testsuite-checking/expected-results-i686-gnu-xen,
     testsuite-checking/expected-results-i486-gnu-libc and
     testsuite-checking/expected-results-i686-gnu-i686.
Checksums-Sha1: 
 a8e5086718d62c059e5e4cf8e782a888b4398140 5224 eglibc_2.16-0experimental0.dsc
 2a6c636e7f6f2398ca260908d5606ad5c365906c 11420640 eglibc_2.16.orig.tar.xz
 837019e81dc29fbf16d0ee1dffcdf9b00d9feeeb 773784 eglibc_2.16-0experimental0.debian.tar.xz
 8466eb30005bfc73ff1ee84ad258ac9affe9c686 2049854 glibc-doc_2.16-0experimental0_all.deb
 223065b2bce2c321e6ca8c2c6de47ca61daa7281 13722488 eglibc-source_2.16-0experimental0_all.deb
 78d0e97e02f016193b403eb62111437c8be89144 3840148 locales_2.16-0experimental0_all.deb
 d8bf36337c2276b60618590ab2d3a99e42be4807 4728840 libc6_2.16-0experimental0_amd64.deb
 983aa7fcf658d95c39a8448aeed7a5f9739b984a 3083528 libc6-dev_2.16-0experimental0_amd64.deb
 390a82d180e48d18bdf9d329b1d95e40e8d27b5f 1527912 libc6-prof_2.16-0experimental0_amd64.deb
 e146750440ef53a8839e0044a21c7be415a3e6ff 1409306 libc6-pic_2.16-0experimental0_amd64.deb
 1f881e766f50c6cdf288372273f4d09021506d34 1286760 libc-bin_2.16-0experimental0_amd64.deb
 52746283b0182e3df88ed6b31cad894e7be0e380 227506 libc-dev-bin_2.16-0experimental0_amd64.deb
 193170cdbc173383b2827d6c2abb117b9aa2eaa3 153668 multiarch-support_2.16-0experimental0_amd64.deb
 c13e23d673f3016628cb2b376a05059b5aee3372 3464592 locales-all_2.16-0experimental0_amd64.deb
 8a60bb480c491b874243dd0487970c8f65b63ff2 4245362 libc6-i386_2.16-0experimental0_amd64.deb
 68fef4a2cd041008d80c6e1217fd9968fa417bd3 1768622 libc6-dev-i386_2.16-0experimental0_amd64.deb
 a1d3769608d36707e7e1f583a854608932b32788 227344 nscd_2.16-0experimental0_amd64.deb
 d7c6730a86b7d141f0ef1959d0ae16819c240cd4 2933132 libc6-dbg_2.16-0experimental0_amd64.deb
 63e030eab7dc7fa7f79b3273ff1c71f5e7ea138d 1023840 libc6-udeb_2.16-0experimental0_amd64.udeb
 468b8690726b314e8aa07b6b34220f88c7e81131 10094 libnss-dns-udeb_2.16-0experimental0_amd64.udeb
 2ddb31792ea5499e272cefc5182d7716a0e13fe5 16644 libnss-files-udeb_2.16-0experimental0_amd64.udeb
Checksums-Sha256: 
 b3b6bf8dfdb59ddea8b920e34240f4408c6058dddd5e253917ebcf4428869f7b 5224 eglibc_2.16-0experimental0.dsc
 634e1a43bcc0e8523cb2cd67f6037d1b49bf1ef4470650a7c334c55c4a45c5bb 11420640 eglibc_2.16.orig.tar.xz
 3dd35c27ba0277713ac0d7d90d5a81aaedf553a535fb9f7830652a8aba61a2a4 773784 eglibc_2.16-0experimental0.debian.tar.xz
 117b9612750a9f3f0ba5a0c8ee901d82b6e5a2bfefdfa8c56a394bd5b8cb5663 2049854 glibc-doc_2.16-0experimental0_all.deb
 b64c79b2b11716e2a92b6721e415a09bfc6c265bb3f65453ded4f6a2ba78ecd0 13722488 eglibc-source_2.16-0experimental0_all.deb
 551e72006a731fd33c00055c9cdda52578d4ac838967454590dbf3b115805df2 3840148 locales_2.16-0experimental0_all.deb
 e5e291a5f3762c9c32bd9c3fe62656e1d7d90e99c07f0f8e958c19700e6f4f44 4728840 libc6_2.16-0experimental0_amd64.deb
 914672da4a0ebdb8d1e5ad8f8e4cb0ca3d71209744261f3b2b821cebc75ed108 3083528 libc6-dev_2.16-0experimental0_amd64.deb
 583eb67829c0051095e22cf3de8e9dcea53dcf914166827e7d139c4da440d6e8 1527912 libc6-prof_2.16-0experimental0_amd64.deb
 4438b23492baf35169acd240f3b06a4540bb74b98821e4c41c82b31a0f56a976 1409306 libc6-pic_2.16-0experimental0_amd64.deb
 4cec0f124fd5ae106b4a7ed15fe7e4a92ce4a5a24e7e966aa635d017edf2965f 1286760 libc-bin_2.16-0experimental0_amd64.deb
 3645c5a3d4f04eb379a74548295afc0bb5ac388482358db082c2c3c7e6c9574c 227506 libc-dev-bin_2.16-0experimental0_amd64.deb
 3c7a65d43b066885590b18d1a4a923375d4d94ac33c49a3eeae03bf55eeab3ce 153668 multiarch-support_2.16-0experimental0_amd64.deb
 5b773c50e8c03843057e398cfb05cc13c14aace25985889e844a69c45d41f7e3 3464592 locales-all_2.16-0experimental0_amd64.deb
 91bf74a19a8c7287d89087b4a6f5d19a78146af9d7e0b742b448151237079ba5 4245362 libc6-i386_2.16-0experimental0_amd64.deb
 23ad4780f01ddd0d39a76941f02401396468ac836766cf83460fc2a1f2c2a776 1768622 libc6-dev-i386_2.16-0experimental0_amd64.deb
 e65b06454d76f346872b52fe5dc1dc05628dc3a7aa4e6a0056d748ee194a762d 227344 nscd_2.16-0experimental0_amd64.deb
 00f51aaeaa0d06dd56053e4f5a81f05003131fb9a8d6e31b7b206e1ef972f47c 2933132 libc6-dbg_2.16-0experimental0_amd64.deb
 7b6aa4073f45164e4400ec6c9828ab9f8feb7ce7f959e5544326256554c235ae 1023840 libc6-udeb_2.16-0experimental0_amd64.udeb
 cad45884e12c8c20c62605ffef24b757d045479f618bf8b9027b631ab029885a 10094 libnss-dns-udeb_2.16-0experimental0_amd64.udeb
 065b13f8549b37a03307c786e915553991a5d21ba0ad51be8980a37562c8d9f4 16644 libnss-files-udeb_2.16-0experimental0_amd64.udeb
Files: 
 2aa720a6c22f3293f30f643d4bd0d8c5 5224 libs required eglibc_2.16-0experimental0.dsc
 9d1662633d3cab5c8bea4cb796381c85 11420640 libs required eglibc_2.16.orig.tar.xz
 97d3d135048498085a4491b0539676b1 773784 libs required eglibc_2.16-0experimental0.debian.tar.xz
 c3a30ee113181565cdf7bba12130cfd3 2049854 doc optional glibc-doc_2.16-0experimental0_all.deb
 852944688938072a00f96dd8d32aabb6 13722488 devel optional eglibc-source_2.16-0experimental0_all.deb
 7527360ae6236e7eb7d25accccb599ce 3840148 localization standard locales_2.16-0experimental0_all.deb
 deb488f9b17896391895960aa594ea44 4728840 libs required libc6_2.16-0experimental0_amd64.deb
 300560e4f36901562c67b1c65489baf2 3083528 libdevel optional libc6-dev_2.16-0experimental0_amd64.deb
 4a40628d3e5cea4595c0f46fea9e6e55 1527912 libdevel extra libc6-prof_2.16-0experimental0_amd64.deb
 706c70b999f7efb0d7ca2d87fe15e853 1409306 libdevel optional libc6-pic_2.16-0experimental0_amd64.deb
 0ef0f858e2399148f54c013491e4da4c 1286760 libs required libc-bin_2.16-0experimental0_amd64.deb
 9a59f8c53161f2d9698aa6db0615421e 227506 libdevel optional libc-dev-bin_2.16-0experimental0_amd64.deb
 129b606fe90178a425d9a664428cb5ff 153668 libs required multiarch-support_2.16-0experimental0_amd64.deb
 ab130b34ab8dada4a753b12cb3648b68 3464592 localization extra locales-all_2.16-0experimental0_amd64.deb
 10506f88ee4e30de82e1fdd03209fa46 4245362 libs optional libc6-i386_2.16-0experimental0_amd64.deb
 1c0fcaa0500cc2d61363d5e4bcf83307 1768622 libdevel optional libc6-dev-i386_2.16-0experimental0_amd64.deb
 9fcfe807b3baafff15529e7487ec3daa 227344 admin optional nscd_2.16-0experimental0_amd64.deb
 6a12dee9af6d479c908385afe797c7c4 2933132 debug extra libc6-dbg_2.16-0experimental0_amd64.deb
 14e483b67f3e1a9d0e95fe3fccec744f 1023840 debian-installer extra libc6-udeb_2.16-0experimental0_amd64.udeb
 c406374afcca30813ea07adc360105f9 10094 debian-installer extra libnss-dns-udeb_2.16-0experimental0_amd64.udeb
 7404d4f57131292a13a703255290005b 16644 debian-installer extra libnss-files-udeb_2.16-0experimental0_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFQq0qgw3ao2vG823MRAj83AJwPYv/pV6j8OKe9IJCkm8fM69GuQACfatVZ
hiYq49f31ARHeue/HxofI+w=
=MJmP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Dec 2012 07:29:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:29:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.